<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet
	version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:exsl="http://exslt.org/common"
	xmlns:html="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="yes"/>

<xsl:param name="baseUrl"/>
<xsl:param name="baseUrlName"/>
<xsl:param name="cssStyles" select="''"/>
<xsl:param name="divId"/>


<xsl:template match="@*">
	<xsl:copy-of select="."/>
</xsl:template>


<xsl:template match="*">
	<xsl:copy>
		<xsl:apply-templates select="@*"/>
		<xsl:apply-templates/>
	</xsl:copy>
</xsl:template>


<xsl:template match="html:div/html:ol">
	<xsl:element name="div">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:attribute name="style">padding: 0.5em 0.5em 0.5em 1.5em; margin: 1.0em;</xsl:attribute>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:element>
</xsl:template>


<xsl:template match="/">
	<xsl:variable name="contents">
		<xsl:apply-templates select="//html:div[@id='gt-res-dict']/html:ol"/>
	</xsl:variable>
	
	<xsl:if test="count(exsl:node-set($contents)/*) &gt; 0">
		<div id="{$divId}" class="dictoPopBody" style="overflow:auto;">
			<style type="text/css">
				<xsl:copy-of select="$cssStyles"/>
			</style>

			<table class="dictoPopTitleBar">
				<colgroup>
					<col width="99%"/>
					<col width="1%"/>
				</colgroup>
				<tr>
					<td style="text-align:left;">
						<a class="WEND" href="{$baseUrl}">
							www.google.com
						</a>
					</td>
					<td>
						<div
							class="dictoPopCloseButton"
							onclick="var div=document.getElementById('{$divId}'); 
										if (div) div.style.display='none';"/>
					</td>
				</tr>
			</table>
			
			<xsl:copy-of select="$contents"/>
		</div>
	</xsl:if>
</xsl:template>


</xsl:stylesheet>
