<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet
	version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:exsl="http://exslt.org/common"
	xmlns:html="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="yes"/>

<xsl:param name="baseUrl"/>
<xsl:param name="baseUrlName"/>
<xsl:param name="cssStyles" select="''"/>
<xsl:param name="divId"/>


<xsl:template match="*">
	<xsl:copy>
		<xsl:apply-templates select="@*"/>
		<xsl:apply-templates/>
	</xsl:copy>
</xsl:template>


<xsl:template match="@*">
	<xsl:copy-of select="."/>
</xsl:template>


<xsl:template match="
	html:img|
	html:input|
	html:span[@class='spirit s_info_l']|
	html:span[@class='spirit s_info_m']|
	html:span[@class='spirit s_info_r']|
	html:span[@class='spirit s_help']
	">
</xsl:template>


<xsl:template match="/">
	<xsl:variable name="contents">
		<xsl:apply-templates select="//html:table[@id='results']"/>
	</xsl:variable>
	
	<xsl:if test="count(exsl:node-set($contents)/*) &gt; 0">
		<div id="{$divId}" class="dictoPopBody" style="overflow:auto;">
			<style type="text/css">
				<xsl:copy-of select="$cssStyles"/>
			</style>

			<table class="dictoPopTitleBar">
				<colgroup>
					<col width="99%"/>
					<col width="1%"/>
				</colgroup>
				<tr>
					<td style="text-align:left;">
						<a class="WEND" href="{$baseUrl}">
							<xsl:value-of select="$baseUrlName"/>
						</a>
					</td>
					<td>
						<div
							class="dictoPopCloseButton"
							onclick="var div=document.getElementById('{$divId}'); 
										if (div) div.style.display='none';"/>
					</td>
				</tr>
			</table>
			
			<xsl:copy-of select="$contents"/>
		</div>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>
