<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:html="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="yes"/>

<xsl:param name="searchText"/>
<xsl:param name="baseUrlName"/>
<xsl:param name="mode" select="''"/>
<xsl:param name="cssStyles" select="''"/>
<xsl:param name="divId"/>
<xsl:param name="noConnection"/>
<xsl:param name="notFound"/>

<xsl:template match="/">
	<table class="dictoPopBody" id="{$divId}" name="dictoPopMessage">
		<style type="text/css">
			<xsl:copy-of select="$cssStyles"/>
		</style>

		<tbody>
			<xsl:if test="not($mode)">
				<tr>
					<td>
						<span class="WORTK">
							<xsl:value-of select="$baseUrlName"/>
						</span>
					</td>
				</tr>
			</xsl:if>
			<tr>
				<td>
					<span class="WEND"><xsl:value-of select="$searchText"/></span>
					<span class="ZIEL">
						<xsl:choose>
							<xsl:when test="$mode='searching'">
								<xsl:text>...</xsl:text>
							</xsl:when>
							<xsl:when test="$mode='abortLoading'">
								<xsl:text> </xsl:text>
								<xsl:value-of select="concat($noConnection, ' ', $baseUrlName)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text> </xsl:text>
								<xsl:value-of select="$notFound"/>
							</xsl:otherwise>
						</xsl:choose>
					</span>
				</td>
			</tr>
		</tbody>
	</table>
</xsl:template>

</xsl:stylesheet>