<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	version="1.0"
	xmlns="http://www.w3.org/1999/xhtml" 
	xmlns:exsl="http://exslt.org/common"
	xmlns:html="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- 
	Achtung: Unbedingt die HTML-Tags qualifiziert ansprechen!
-->
<xsl:output method="html" indent="yes"/>

<xsl:param name="baseUrl"/>
<xsl:param name="baseUrlName"/>
<xsl:param name="cssStyles" select="''"/>
<xsl:param name="divId"/>
<xsl:param name="showExamplesImmediately" select="''"/>
<xsl:param name="showExamplesText" select="''"/>
<xsl:param name="hideExamplesText" select="''"/>

<xsl:variable name="exampleName" select="'dictoPopExample'"/>

<xsl:template match="/">

	<xsl:variable name="contents">
		<xsl:apply-templates select="//html:div[@class='results']"/>
	</xsl:variable>

	<xsl:if test="count(exsl:node-set($contents)/*) &gt; 0">
		<div id="{$divId}" class="dictoPopBody">
			<style type="text/css">
				<xsl:copy-of select="$cssStyles"/>
			</style>

			<table class="dictoPopTitleBar">
				<colgroup>
					<col width="99%"/>
					<col width="1%"/>
				</colgroup>
				<tr>
					<td style="text-align:left;">
						<a class="WEND" href="{$baseUrl}">
							<xsl:value-of select="$baseUrlName"/>
						</a>
					</td>
					<td>
						<div
							class="dictoPopCloseButton"
							onclick="var div=document.getElementById('{$divId}'); 
										if (div) div.style.display='none';"/>
					</td>
				</tr>
				<tr>
					<td style="padding-left: 1em; text-align:left;">
						<xsl:element name="a">
							<xsl:attribute name="class">ZIEL</xsl:attribute>
							<xsl:attribute name="onclick">
								var examples=getElementsByName('<xsl:value-of select="$exampleName"/>');
								if(examples.length)
								{
									var bShow=examples.item(0).style.display=='none';
									
									for(var i = 0; i &lt; examples.length; i++)
										examples.item(i).style.display = bShow ? 'table-row' : 'none';
										
									if (bShow)
										this.textContent = "<xsl:value-of select="$hideExamplesText"/>";
									else
										this.textContent = "<xsl:value-of select="$showExamplesText"/>";
								}
							</xsl:attribute>
							
							<xsl:choose>
								<xsl:when test="$showExamplesImmediately='1'">
									<xsl:value-of select="$hideExamplesText"/>
								</xsl:when>
								
								<xsl:otherwise>
									<xsl:value-of select="$showExamplesText"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
					</td>
				</tr>
	
			</table>
			
			<xsl:copy-of select="$contents"/>
		</div>
	</xsl:if>
</xsl:template>


<xsl:template match="@*">
	<xsl:copy-of select="."/>
</xsl:template>


<xsl:template match="*">
	<xsl:copy>
		<xsl:apply-templates select="@*"/>
		<xsl:apply-templates/>
	</xsl:copy>
</xsl:template>


<xsl:template match="html:table">
	<xsl:copy>
		<xsl:apply-templates select="@*"/>
		<xsl:attribute name="style"/>
		<xsl:apply-templates/>
	</xsl:copy>
</xsl:template>


<xsl:template match="html:tr[html:td//*[@class='example']]">
	<xsl:copy>
		<xsl:apply-templates select="@*"/>

		<xsl:attribute name="name">
			<xsl:value-of select="$exampleName"/>
		</xsl:attribute>

		<xsl:if test="$showExamplesImmediately!='1'">
			<xsl:attribute name="style">
				display:none;
			</xsl:attribute>
		</xsl:if>

		<xsl:apply-templates/>
	</xsl:copy>
</xsl:template>


<xsl:template match="html:div[@class='results']">
	<xsl:copy>
		<xsl:apply-templates select="@*"/>
		<xsl:attribute name="style">overflow: auto;</xsl:attribute>
		<xsl:apply-templates/>
	</xsl:copy>
</xsl:template>


<xsl:template match="
	html:div[@class='bwb_container']|
	html:div[@class='bwb_container bwb_container_small']|
	html:div[@class='lazy synonyms']|
	html:tfoot|
	html:script|
	html:td[3]|
	html:span[@class='phonetics']|
	html:ul[@class='meta']|
	*[@class='entry_type_pons']">
</xsl:template>

</xsl:stylesheet>
