<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet
	version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:exsl="http://exslt.org/common"
	xmlns:html="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="yes"/>

<xsl:param name="baseUrl"/>
<xsl:param name="baseUrlName"/>
<xsl:param name="cssStyles" select="''"/>
<xsl:param name="divId"/>


<xsl:template match="*">
	<xsl:copy>
		<xsl:apply-templates select="@*"/>
		<xsl:apply-templates/>
	</xsl:copy>
</xsl:template>


<xsl:template match="@*" priority="-1">
	<xsl:copy-of select="."/>
</xsl:template>


<xsl:template match="*[@class='translationsTable']//th">
</xsl:template>


<xsl:template match="a">
	<xsl:apply-templates/>
</xsl:template>


<xsl:template match="/">
	<xsl:variable name="contents">
		<xsl:choose>
			<xsl:when test="count(//*[@class='translationsTable']) &gt; 0">
				<xsl:apply-templates select="//*[@class='translationsTable']"/>
			</xsl:when>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:if test="count(exsl:node-set($contents)/*) &gt; 0">
		<div id="{$divId}" class="dictoPopBody" style="overflow:auto;">
			<style type="text/css">
				<xsl:copy-of select="$cssStyles"/>
			</style>

			<table class="dictoPopTitleBar">
				<colgroup>
					<col width="99%"/>
					<col width="1%"/>
				</colgroup>
				<tr>
					<td style="text-align:left;">
						<a class="WEND" href="{$baseUrl}">
							<xsl:value-of select="$baseUrlName"/>
						</a>
					</td>
					<td>
						<div
							class="dictoPopCloseButton"
							onclick="var div=document.getElementById('{$divId}'); 
										if (div) div.style.display='none';"/>
					</td>
				</tr>
			</table>
			
			<xsl:element name="table">
				<xsl:attribute name="cellspacing">0</xsl:attribute>
				<xsl:attribute name="border">1</xsl:attribute>
				<xsl:attribute name="rules">all</xsl:attribute>

				<tbody>
					<xsl:copy-of select="$contents"/>
				</tbody>
			</xsl:element>
		</div>
	</xsl:if>
</xsl:template>


</xsl:stylesheet>
